Package org.gradle.api.artifacts

# Interface ExternalModuleDependencyBundle

All Superinterfaces:
  `Collection<MinimalExternalModuleDependency>`, `Iterable<MinimalExternalModuleDependency>`, `List<MinimalExternalModuleDependency>`, `SequencedCollection<MinimalExternalModuleDependency>`

public interface ExternalModuleDependencyBundle extends List<MinimalExternalModuleDependency>
A bundle is a list of dependencies which are always added together.

Since:
  6.8

- ## Method Summary

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `add, add, addAll, addAll, addFirst, addLast, clear, contains, containsAll, equals, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, set, size, sort, spliterator, subList, toArray, toArray`